upower (1.91.1-1) unstable; urgency=medium

  * New upstream version 1.91.1
  * Drop redundant Priority field
  * Bump Standards-Version to 4.7.3
  * Remove devhelp Suggests.
    As recommended by the Debian GNOME team.
  * Drop libkvm-dev [kfreebsd-any] Build-Depends.
    The kfreebsd port has been discontinued in 2023.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Feb 2026 16:09:48 +0100

upower (1.91.0-1) unstable; urgency=medium

  * New upstream version 1.91.0
  * Bump Build-Depends on libglib2.0-dev to (>= 2.76) as per meson.build
  * Update symbols file for libupower-glib3
  * Install new etc/UPower/UPower.conf.d/README.md
  * Drop Rules-Requires-Root: no.
    It is no longer necessary as "no" is the new default.

 -- Michael Biebl <biebl@debian.org>  Wed, 26 Nov 2025 23:00:07 +0100

upower (1.90.10-1) unstable; urgency=medium

  * New upstream version 1.90.10
  * Drop patches, all merged upstream
  * Update symbols file for libupower-glib3

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Aug 2025 12:35:14 +0200

upower (1.90.9-7) unstable; urgency=medium

  * Rename debian-branch to debian/latest as per DEP-14
  * Drop Build-Depends on libgirepository1.0-dev

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Aug 2025 20:10:51 +0200

upower (1.90.9-6) unstable; urgency=medium

  * autopkgtest: fix comparison of floating point values in upstream
    integration test.
    This should fix the test suite failures on i386 due to excessive
    precision. So make failures fatal again for i386. (Closes: #1050436)

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Aug 2025 21:01:12 +0200

upower (1.90.9-5) unstable; urgency=medium

  * test_bluetooth_hidpp_mouse: start upower and bluez after the setup of the
    udev device properties

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Aug 2025 13:56:49 +0200

upower (1.90.9-4) unstable; urgency=medium

  * Add a few more delays to see if this mitigates test failures on
    slower/loaded systems

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Aug 2025 15:27:13 +0200

upower (1.90.9-3) unstable; urgency=medium

  * Another attempt fixing random test failures for test_bluetooth_hidpp_mouse

 -- Michael Biebl <biebl@debian.org>  Wed, 30 Jul 2025 17:21:04 +0200

upower (1.90.9-2) unstable; urgency=medium

  * autopkgtest: Increase timeout from 300 to 900 secs (Closes: #1109990)

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Jul 2025 22:59:20 +0200

upower (1.90.9-1) unstable; urgency=medium

  * New upstream version 1.90.9

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Apr 2025 20:14:42 +0200

upower (1.90.8-1) unstable; urgency=medium

  * New upstream version 1.90.8
  * Drop patches, merged upstream
  * Bump Standards-Version to 4.7.2

 -- Michael Biebl <biebl@debian.org>  Mon, 31 Mar 2025 16:15:49 +0200

upower (1.90.7-1) unstable; urgency=medium

  * New upstream version 1.90.7
  * Rebase patches
  * Install new zsh completions

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Jan 2025 12:32:38 +0100

upower (1.90.6-2) unstable; urgency=medium

  * Replace dependency on dbus with default-dbus-system-bus | dbus-system-bus.
    This makes it easier to swap in alternative implementations like
    dbus-broker.
  * Fix race condition in test_sibling_priority_no_overwrite.
    Patch cherry-picked from upstream Git. (Closes: #1072748)

 -- Michael Biebl <biebl@debian.org>  Fri, 27 Sep 2024 00:55:12 +0200

upower (1.90.6-1) unstable; urgency=medium

  * New upstream version 1.90.6
  * Rebase patches
  * Enable polkit support.
    Setting the battery charging threshold utilizes polkit.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Sep 2024 13:45:09 +0200

upower (1.90.5-1) unstable; urgency=medium

  * New upstream version 1.90.5
  * Rebase patches
  * Update symbols for libupower-glib3.
    Add new up_exported symbols but mark them as optional, as they are not
    public API.
  * Add ${gir:Depends} and ${gir:Provides} to libupower-glib-dev
  * Add Build-Depends on gir1.2-gobject-2.0-dev and gir1.2-gio-2.0-dev as
    suggested by dh_girepository
  * Request standard Salsa-CI but disable test-crossbuild-arm64

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Aug 2024 17:18:24 +0200

upower (1.90.4-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Update debian/watch

  [ Michael Biebl ]
  * New upstream version 1.90.4
  * Fix possible race condition in test_bluetooth_hidpp_mouse
    (Closes: #1069789)

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Aug 2024 21:10:27 +0200

upower (1.90.3-1) unstable; urgency=medium

  * New upstream version 1.90.3
  * Drop patches, merged upstream
  * Bump Build-Depends on meson to (>= 0.60.0) and libglib2.0-dev to (>= 2.66)
    as per meson.build
  * Switch Build-Depends on pkg-config to pkgconf
  * Bump Standards-Version to 4.7.0

 -- Michael Biebl <biebl@debian.org>  Mon, 08 Apr 2024 09:42:45 +0200

upower (1.90.2-8) unstable; urgency=medium

  * Adjust test_bluetooth_le_device for dbusmock 0.30.1.
    Patch taken from upstream master. (Closes: #1059467)

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 Dec 2023 06:59:41 +0100

upower (1.90.2-7) unstable; urgency=medium

  * Replace udev Build-Depends with systemd-dev.
    The new systemd-dev package ships udev.pc, which is used to get
    udevrulesdir and udevhwdbdir.

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Nov 2023 23:31:32 +0100

upower (1.90.2-6) unstable; urgency=medium

  * Move systemd services files and udev rules/hwdb files to /usr.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough dh_installsystemd.

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Oct 2023 14:24:44 +0200

upower (1.90.2-5) unstable; urgency=medium

  * Remove __pycache__ directories in 'clean' target via debian/clean.
    (Closes: #1048444)
  * Ignore autopkgtest failure on i386.
    This is a workaround until #1050436 has been addressed properly to allow
    migration to testing.

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Sep 2023 11:30:18 +0200

upower (1.90.2-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Make the upower-tests package as linux-any

  [ Michael Biebl ]
  * Switch debian-branch to debian/master
  * Exclude .device files in /usr/libexec/upower/tests/ from dh_fixperms
  * Add python3 Depends to upower-tests
  * Upload to unstable (Closes: #1042914)

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Aug 2023 14:24:33 +0200

upower (1.90.2-3) experimental; urgency=medium

  [ Pino Toscano ]
  * Make it build again on non-Linux architectures:
    - backport upstream commit 029651a96dfc8e8e1dc6eca79bd3bf23d3aeb5ce to
      install the udev files only on Linux
    - d/rules: tweak the meson parameters to install the systemd files only
      on Linux
    - d/upower.install: restrict the systemd files only to Linux

  [ Michael Biebl ]
  * Bump Standards-Version to 4.6.2

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Jul 2023 19:39:42 +0200

upower (1.90.2-2) experimental; urgency=medium

  * Bump Build-Depends on libgudev-1.0-dev to (>= 238) (Closes: #1040642)
  * Add new upower-tests package.
    Update autopkgtest to use upower-tests for the integration test.

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Jul 2023 20:44:42 +0200

upower (1.90.2-1) experimental; urgency=medium

  * New upstream version 1.90.2
  * Drop patches, merged upstream

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Jul 2023 15:14:44 +0200

upower (1.90.1-1) experimental; urgency=medium

  * New upstream version 1.90.1
  * Use patch-numbers=False for gbp-pq
  * linux: Fix integration test to work with system installed upower binary

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Jul 2023 17:50:42 +0200

upower (1.90.0-2) experimental; urgency=medium

  * Recommend polkitd instead of the transitional policykit-1
    (Closes: #1025587)

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Dec 2022 13:28:24 +0100

upower (1.90.0-1) experimental; urgency=medium

  * New upstream version 1.90.0

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Aug 2022 20:35:58 +0200

upower (0.99.20-2) unstable; urgency=medium

  * Recommend polkitd instead of the transitional policykit-1
    (Closes: #1025587)

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Dec 2022 13:24:05 +0100

upower (0.99.20-1) unstable; urgency=medium

  * New upstream version 0.99.20
  * Drop patches, applied upstream
  * Use dh-sequence-gir Build-Depends to enable the gir addon

 -- Michael Biebl <biebl@debian.org>  Wed, 13 Jul 2022 18:39:40 +0200

upower (0.99.19-1) unstable; urgency=medium

  * New upstream version 0.99.19
  * test: Properly wait for idle handler after uevents
  * Bump Standards-Version to 4.6.1

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Jun 2022 16:24:10 +0200

upower (0.99.18-3) unstable; urgency=medium

  * test: Disable systemd v251 sysfs verification

 -- Michael Biebl <biebl@debian.org>  Thu, 26 May 2022 18:49:55 +0200

upower (0.99.18-2) unstable; urgency=medium

  * Increase shutdown timeout in integration test

 -- Michael Biebl <biebl@debian.org>  Thu, 19 May 2022 17:59:52 +0200

upower (0.99.18-1) unstable; urgency=medium

  * New upstream version 0.99.18
  * Update Build-Depends on meson and libglib2.0-dev as per meson.build
  * meson: Allow unittest inspector to fail
  * Install new udev hwdb file
  * Remove wakeup symbols from libupower-glib3.symbols.
    Strictly speaking, the removal of the wakeup API constitutes an API/ABI
    break and the soname of the library should have been bumped. As upower
    appears to be the only user of that API though, it should be relatively
    safe without an explicit soname bump.
    To ensure that both upower and gir1.2-upowerglib-1.0 are upgraded along
    with libupower-glib3, add versioned Breaks against those packages to
    libupower-glib3.
  * Tighten dependency between upower and libupower-glib3.
    As the server uses internal symbols from libupower-glib, ensure that
    both packages are always upgraded in lock-step.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 May 2022 17:35:30 +0200

upower (0.99.17-1) unstable; urgency=medium

  * New upstream version 0.99.17
  * Drop patches, all applied upstream
  * Remove unnecessary version constraints

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Mar 2022 19:59:13 +0100

upower (0.99.16-2) unstable; urgency=medium

  * Cherry-pick FD handling fixes from upstream (Closes: #1006368)

 -- Michael Biebl <biebl@debian.org>  Sat, 26 Feb 2022 10:43:19 +0100

upower (0.99.16-1) unstable; urgency=medium

  * New upstream version 0.99.16
    - Silence unnecessary udev event warnings (Closes: #989512)
  * Enable all hardening build flags

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Feb 2022 20:48:18 +0100

upower (0.99.15-1) unstable; urgency=medium

  * New upstream version 0.99.15
  * Drop patches, all merged upstream

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Feb 2022 18:11:55 +0100

upower (0.99.14-2) unstable; urgency=medium

  * Cherry-pick more build related fixes from upstream

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2022 23:12:15 +0100

upower (0.99.14-1) unstable; urgency=medium

  * New upstream version 0.99.14
  * Switch to Meson build system
  * Cherry-pick Meson fixes from upstream
  * Update symbols file for libupower-glib3
  * Drop up_exported_kbd_backlight_* symbols
  * Extend upower-doc description a bit
  * Fix upstream-system autopkgtest

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2022 20:47:39 +0100

upower (0.99.13-1) unstable; urgency=medium

  * New upstream version 0.99.13
  * Use DEP-14 branch names
  * Update debian/watch.
    Thanks to Ansgar Burchardt
  * Bump Build-Depends on libgudev-1.0-dev to (>= 235)
  * Drop Build-Depends on libusb-1.0-0-dev, no longer needed
  * Remove obsolete debian/upower.maintscript
  * Set upstream metadata fields: Bug-Submit, Bug-Database, Repository,
    Repository-Browse
  * Bump Standards-Version to 4.6.0
  * Bump debhelper-compat to 13
  * Add python3-packaging to upstream-system test.
    Required by src/linux/integration-test.
  * Use https in debian/copyright
  * Set Rules-Requires-Root: no

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Aug 2021 11:03:33 +0200

upower (0.99.11-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Bump debhelper version to 12, switch from dh_systemd_enable to
    dh_installsystemd
  * Move the daemon to /usr/libexec now that's allowed in the policy
  * debian/libupower-glib3.symbols: Add Build-Depends-Package field
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control: Move libglib2.0-doc to B-D-I and mark upower-doc with
    Build-Profiles: <!nodoc>

 -- Michael Biebl <biebl@debian.org>  Sat, 16 May 2020 18:55:03 +0200

upower (0.99.11-1) unstable; urgency=medium

  * New upstream version 0.99.11
  * Move intltool → gettext build dependency.
    The new upstream release stopped using the deprecated intltool.
  * Bump Standards-Version to 4.4.0.  No changes necessary.
  * d/t/control: Add missing python3-dbusmock test dependency.
    Without this, the test just skips and does nothing.
  * Mark "build" autopkgtest as isolation-container.
    In a schroot, where the daemon is not running,
    up_client_get_daemon_version() returns NULL and the subsequent strlen()
    then crashes.

 -- Martin Pitt <mpitt@debian.org>  Tue, 03 Sep 2019 07:48:09 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog upower-doc`.
